// Persistence of Vision Ray Tracer Scene Description File
// File: *.pov
// Vers: 3.1
// Auth: Porrey

global_settings { assumed_gamma 2.2 }
#default { pigment { color rgb 1 } finish { ambient .4 diffuse .6 phong 0 } }

#include "colors.inc"
#include "textures.inc"
#include "shapes.inc"
#include "rp.inc" // "rp2.inc" = Bestandteil von rp.inc

#declare Scale = 10;
#declare Direction = 1; // 1, 2, ...
#declare Camera_Position = < 0.0, 2.0,-10.5*Direction >*Scale;
#declare Camera_lookat =   < 0.0, 1.0, 0.0 >*Scale;

camera { location Camera_Position
         direction z*Direction up y right x*4/3
         look_at  Camera_lookat angle 80 }

// Blitzlicht
light_source{ Camera_Position color rgb < 0.9, 0.9, 1>*0.2 }

light_source	{ < -1000, 1000, 1000 >*Scale Weiss }

background { Weiss*.75 }  

#declare Dist = 1.25; // Feldgroesse

#declare a1 = <-3.5*Dist, 0.0, 3.5*Dist >*Scale;
#declare b1 = <-3.5*Dist, 0.0, 2.5*Dist >*Scale;
#declare c1 = <-3.5*Dist, 0.0, 1.5*Dist >*Scale;
#declare d1 = <-3.5*Dist, 0.0, 0.5*Dist >*Scale;
#declare e1 = <-3.5*Dist, 0.0,-0.5*Dist >*Scale;
#declare f1 = <-3.5*Dist, 0.0,-1.5*Dist >*Scale;
#declare g1 = <-3.5*Dist, 0.0,-2.5*Dist >*Scale;
#declare h1 = <-3.5*Dist, 0.0,-3.5*Dist >*Scale;

#declare a2 = <-2.5*Dist, 0.0, 3.5*Dist >*Scale;
#declare b2 = <-2.5*Dist, 0.0, 2.5*Dist >*Scale;
#declare c2 = <-2.5*Dist, 0.0, 1.5*Dist >*Scale;
#declare d2 = <-2.5*Dist, 0.0, 0.5*Dist >*Scale;
#declare e2 = <-2.5*Dist, 0.0,-0.5*Dist >*Scale;
#declare f2 = <-2.5*Dist, 0.0,-1.5*Dist >*Scale;
#declare g2 = <-2.5*Dist, 0.0,-2.5*Dist >*Scale;
#declare h2 = <-2.5*Dist, 0.0,-3.5*Dist >*Scale;

#declare a3 = <-1.5*Dist, 0.0, 3.5*Dist >*Scale;
#declare b3 = <-1.5*Dist, 0.0, 2.5*Dist >*Scale;
#declare c3 = <-1.5*Dist, 0.0, 1.5*Dist >*Scale;
#declare d3 = <-1.5*Dist, 0.0, 0.5*Dist >*Scale;
#declare e3 = <-1.5*Dist, 0.0,-0.5*Dist >*Scale;
#declare f3 = <-1.5*Dist, 0.0,-1.5*Dist >*Scale;
#declare g3 = <-1.5*Dist, 0.0,-2.5*Dist >*Scale;
#declare h3 = <-1.5*Dist, 0.0,-3.5*Dist >*Scale;

#declare a4 = <-0.5*Dist, 0.0, 3.5*Dist >*Scale;
#declare b4 = <-0.5*Dist, 0.0, 2.5*Dist >*Scale;
#declare c4 = <-0.5*Dist, 0.0, 1.5*Dist >*Scale;
#declare d4 = <-0.5*Dist, 0.0, 0.5*Dist >*Scale;
#declare e4 = <-0.5*Dist, 0.0,-0.5*Dist >*Scale;
#declare f4 = <-0.5*Dist, 0.0,-1.5*Dist >*Scale;
#declare g4 = <-0.5*Dist, 0.0,-2.5*Dist >*Scale;
#declare h4 = <-0.5*Dist, 0.0,-3.5*Dist >*Scale;

#declare a5 = < 0.5*Dist, 0.0, 3.5*Dist >*Scale;
#declare b5 = < 0.5*Dist, 0.0, 2.5*Dist >*Scale;
#declare c5 = < 0.5*Dist, 0.0, 1.5*Dist >*Scale;
#declare d5 = < 0.5*Dist, 0.0, 0.5*Dist >*Scale;
#declare e5 = < 0.5*Dist, 0.0,-0.5*Dist >*Scale;
#declare f5 = < 0.5*Dist, 0.0,-1.5*Dist >*Scale;
#declare g5 = < 0.5*Dist, 0.0,-2.5*Dist >*Scale;
#declare h5 = < 0.5*Dist, 0.0,-3.5*Dist >*Scale;

#declare a6 = < 1.5*Dist, 0.0, 3.5*Dist >*Scale;
#declare b6 = < 1.5*Dist, 0.0, 2.5*Dist >*Scale;
#declare c6 = < 1.5*Dist, 0.0, 1.5*Dist >*Scale;
#declare d6 = < 1.5*Dist, 0.0, 0.5*Dist >*Scale;
#declare e6 = < 1.5*Dist, 0.0,-0.5*Dist >*Scale;
#declare f6 = < 1.5*Dist, 0.0,-1.5*Dist >*Scale;
#declare g6 = < 1.5*Dist, 0.0,-2.5*Dist >*Scale;
#declare h6 = < 1.5*Dist, 0.0,-3.5*Dist >*Scale;

#declare a7 = < 2.5*Dist, 0.0, 3.5*Dist >*Scale;
#declare b7 = < 2.5*Dist, 0.0, 2.5*Dist >*Scale;
#declare c7 = < 2.5*Dist, 0.0, 1.5*Dist >*Scale;
#declare d7 = < 2.5*Dist, 0.0, 0.5*Dist >*Scale;
#declare e7 = < 2.5*Dist, 0.0,-0.5*Dist >*Scale;
#declare f7 = < 2.5*Dist, 0.0,-1.5*Dist >*Scale;
#declare g7 = < 2.5*Dist, 0.0,-2.5*Dist >*Scale;
#declare h7 = < 2.5*Dist, 0.0,-3.5*Dist >*Scale;

#declare a8 = < 3.5*Dist, 0.0, 3.5*Dist >*Scale;
#declare b8 = < 3.5*Dist, 0.0, 2.5*Dist >*Scale;
#declare c8 = < 3.5*Dist, 0.0, 1.5*Dist >*Scale;
#declare d8 = < 3.5*Dist, 0.0, 0.5*Dist >*Scale;
#declare e8 = < 3.5*Dist, 0.0,-0.5*Dist >*Scale;
#declare f8 = < 3.5*Dist, 0.0,-1.5*Dist >*Scale;
#declare g8 = < 3.5*Dist, 0.0,-2.5*Dist >*Scale;
#declare h8 = < 3.5*Dist, 0.0,-3.5*Dist >*Scale;

#declare extra1 = <-2.5*Dist, 0.0,-4.5*Dist >*Scale;
#declare extra2 = <-1.5*Dist, 0.0,-4.5*Dist >*Scale;
#declare extra3 = <-0.5*Dist, 0.0,-4.5*Dist >*Scale;
#declare extra4 = < 0.5*Dist, 0.0,-4.5*Dist >*Scale;
#declare extra5 = < 1.5*Dist, 0.0,-4.5*Dist >*Scale;
#declare extra6 = < 2.5*Dist, 0.0,-4.5*Dist >*Scale;

#declare Textur_sPatch_Schach_hell = // fuer Figuren
texture {
  pigment { marble turbulence 1
    color_map { [.0,  .8 color rgb <.99, .98, .97>*.9 color rgb <.89, .88, .87>*.9]
                [.8, 1.0 color rgb <.89, .88, .87>*.9 color rgb <.25, .30, .35>*.9] }
   scale .6 }
  finish { phong 1 reflection .1 }
}

#declare Textur_sPatch_Schach_dunkel = // fuer Figuren
texture {
  pigment { marble turbulence 1
    color_map { [.0,  .9 color rgb <.00, .05, .10> color rgb <.10, .15, .20>]
                [.9, 1.0 color rgb <.10, .15, .20> color rgb <.99, .98, .97>] }
   scale .6 }
  finish { phong 1 reflection .1 }
}

#declare Textur_sPatch_Schach_hell2 = // fuer Schachbrett
texture {
  pigment { marble turbulence 1
    color_map { [.0,  .8 color rgb <.99, .98, .97>*.3 color rgb <.89, .88, .87>*.3]
                [.8, 1.0 color rgb <.89, .88, .87>*.3 color rgb <.25, .30, .35>*.3] }
   scale .6 }
  finish { phong 1 reflection .3 }
}

#declare Textur_sPatch_Schach_dunkel2 = // fuer Schachbrett
texture {
  pigment { marble turbulence 1
    color_map { [.0,  .9 color rgb <.00, .05, .10>*.3 color rgb <.10, .15, .20>*.3]
                [.9, 1.0 color rgb <.10, .15, .20>*.3 color rgb <.99, .98, .97>*.3] }
   scale .6 }
  finish { phong 1 reflection .3 }
}

#declare sPatch_Detail = 0; // 0 (412 Teile) | 1 (1137 Teile) | 2 (18300! Teile)
            
#include "sPatch_Bauer.inc" 
#include "sPatch_Dame.inc" 
#include "sPatch_Koenig.inc" 
#include "sPatch_Laeufer.inc" 
#include "sPatch_Springer.inc" 
#include "sPatch_Turm.inc"
/*************************************************************************/

union {
  object { sPatch_Turm     rotate y*0 scale Scale translate a1 }
  object { sPatch_Springer rotate y*0 scale Scale translate b1 }
  object { sPatch_Laeufer  rotate y*0 scale Scale translate c1 }
  object { sPatch_Dame     rotate y*0 scale Scale translate d1 }
  object { sPatch_Koenig   rotate y*0 scale Scale translate e1 }
  object { sPatch_Laeufer  rotate y*0 scale Scale translate f1 }
  object { sPatch_Springer rotate y*0 scale Scale translate g1 }
  object { sPatch_Turm     rotate y*0 scale Scale translate h1 }

  object { sPatch_Bauer    rotate y*0 scale Scale translate a2 }
  object { sPatch_Bauer    rotate y*0 scale Scale translate b2 }
  object { sPatch_Bauer    rotate y*0 scale Scale translate c2 }
  object { sPatch_Bauer    rotate y*0 scale Scale translate d2 }
  object { sPatch_Bauer    rotate y*0 scale Scale translate e2 }
  object { sPatch_Bauer    rotate y*0 scale Scale translate f2 }
  object { sPatch_Bauer    rotate y*0 scale Scale translate g2 }
  object { sPatch_Bauer    rotate y*0 scale Scale translate h2 }
 texture { Textur_sPatch_Schach_hell scale Scale }
}

union {
  object { sPatch_Turm     rotate y*0   scale Scale translate a8 }
  object { sPatch_Springer rotate y*180 scale Scale translate b8 }
  object { sPatch_Laeufer  rotate y*0   scale Scale translate c8 }
  object { sPatch_Dame     rotate y*0   scale Scale translate d8 }
  object { sPatch_Koenig   rotate y*0   scale Scale translate e8 }
  object { sPatch_Laeufer  rotate y*0   scale Scale translate f8 }
  object { sPatch_Springer rotate y*180 scale Scale translate g8 }
  object { sPatch_Turm     rotate y*0   scale Scale translate h8 }

  object { sPatch_Bauer    rotate y*0   scale Scale translate a7 }
  object { sPatch_Bauer    rotate y*0   scale Scale translate b7 }
  object { sPatch_Bauer    rotate y*0   scale Scale translate c7 }
  object { sPatch_Bauer    rotate y*0   scale Scale translate d7 }
  object { sPatch_Bauer    rotate y*0   scale Scale translate e7 }
  object { sPatch_Bauer    rotate y*0   scale Scale translate f7 }
  object { sPatch_Bauer    rotate y*0   scale Scale translate g7 }
  object { sPatch_Bauer    rotate y*0   scale Scale translate h7 }
 texture { Textur_sPatch_Schach_dunkel scale Scale }
}

/*************************************************************************/
/*
union {
  object { sPatch_Springer rotate y*90 scale Scale translate extra3 }
  object { sPatch_Dame     rotate y*0 scale Scale translate extra5 }
  object { sPatch_Bauer    rotate y*0 scale Scale translate extra1 }
 texture { Textur_sPatch_Schach_dunkel scale Scale }
}

union {
  object { sPatch_Turm     rotate y*0   scale Scale translate extra2 }
  object { sPatch_Laeufer  rotate y*0   scale Scale translate extra4 }
  object { sPatch_Koenig   rotate y*0   scale Scale translate extra6 }
 texture { Textur_sPatch_Schach_hell scale Scale }
}
*/
/*************************************************************************/

plane { y, 0.0 //pigment { checker Weiss*.6, Weiss*.3 scale Dist scale Scale } finish { phong 1 reflection .3 } } 
  texture {
    checker
      texture { Textur_sPatch_Schach_hell2 }
      texture { Textur_sPatch_Schach_dunkel2 }
    scale Dist scale Scale }
}

fog { fog_type 1 distance 15*Scale color Weiss*.75 fog_offset 1 fog_alt 1 turbulence 0.8 } 

